Subject: Re: [PATCH] revert: optionally refer to commit in the "reference" format

From: Junio C Hamano <[email-masked]>
Date: Thu, 26 May 2022 10:29:05 -0700

Phillip Wood <[email-masked]> writes:

> In format-patch we add three asterisks to the beginning and end of the
> dummy subject and body lines to encourage the user to edit them - is 
> that worth doing here as well?

Yeah, that would make things consistent.

I am still mulling over Ævar's idea of preparing the messsage in
such a way that, if committed without editing, the title becomes
identifiable but too ugly to force users consider rewording (and the
"identifiable" part helps the "rebase -i" process), while making it
easy to discard the instruction for the user who do want to edit.  I
think that is the right approach, if we can find one.  What has been
floated on the list during the discussion is not there yet, but I
think the approach is a good one.

Thanks.